unit UPreview;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DSPack;

type
  TPreview = class(TForm)
    procedure FormPaint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Preview: TPreview;

implementation

uses UMainWindow;

{$R *.dfm}

procedure TPreview.FormPaint(Sender: TObject);
begin
  if MainWindow.FilterGraph1.State <> gsUninitialized then
  MainWindow.Zobraz;
end;

procedure TPreview.FormCreate(Sender: TObject);
begin
  if MainWindow.ZobrazitNahled then Show else Hide;
end;

procedure TPreview.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  MainWindow.CheckBox1.Checked:= False;
end;

procedure TPreview.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  Caption:= 'Nhled '+IntToStr(Canvas.Pixels[X,Y] and 255);
end;

end.
