unit UHistogram;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DSPack, ComCtrls, StdCtrls;

type
  THistogram = class(TForm)
    TrackBar1: TTrackBar;
    Label1: TLabel;
    procedure FormPaint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Histogram: THistogram;

implementation

uses UMainWindow;

{$R *.dfm}

procedure THistogram.FormPaint(Sender: TObject);
begin
  if MainWindow.FilterGraph1.State <> gsUninitialized then
  MainWindow.Zobraz;
end;

procedure THistogram.FormCreate(Sender: TObject);
begin
  if MainWindow.ShowHistogram then Show else Hide;
end;

procedure THistogram.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  MainWindow.CheckBox4.Checked:= False;
end;

end.
